# Generated by Django 3.1 on 2020-08-16 09:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DrumKit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25)),
                ('saved', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='DrumPad',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25)),
                ('noteNumber', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='SoundSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=25)),
                ('drumpad', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='drums.drumpad')),
                ('kit', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='drums.drumkit')),
            ],
        ),
        migrations.CreateModel(
            name='Sound',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('path', models.FileField(upload_to='sounds/')),
                ('soundSet', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='drums.soundset')),
            ],
        ),
    ]
